Document how to ping from edit summary in Help:Notifications/Notifications_types#Mentions
Closed, ResolvedPublic1 Story Points

Description

At the moment, that new feature is only documented on the sprint wiki page from the Community Tech team: https://meta.wikimedia.org/wiki/Community_Tech/Ping_users_from_the_edit_summary

It should be integrated to the central documentation concerning Notifications: https://www.mediawiki.org/wiki/Help:Notifications/Notifications_types#Mentions
A couple of sentences with minimal information to handle most cases would be enough. Theycan link to the meta page, Requirements section.

(Triaged as high because the feature has already been released.)

Trizek-WMF triaged this task as High priority.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 6 2018, 5:41 PM
Niharika lowered the priority of this task from High to Normal.Mar 6 2018, 6:25 PM

This feature has not been released. It's slated to be released this week but might be pushed until next week.

Thank you for filing though, Trizek!

Thank you for filing though, Trizek!

I documentation I trust. :)

kaldari set the point value for this task to 1.Mar 6 2018, 11:36 PM
MaxSem claimed this task.

Looks good to me.

I did not know (or more likely forgot) that linking to a user talk page will also trigger a notification. @MaxSem @Niharika @MusikAnimal @kaldari @Keegan — I can't think of any reason this would change our release today, or am I forgetting something?

MusikAnimal added a comment.EditedMar 8 2018, 10:15 PM

Didn't know that either. Are we sure we want that? You can't ping via [[User talk: alone in wikitext, can you? I personally wouldn't expect this to ping.

Probably stupid question, but linking to subpages doesn't ping, right? E.g. [[User:MusikAnimal/responseHelper]]. If it does, we will need time to update a number of scripts.

Overall I think it'd be better to give a heads up and allow people time to update things, because it feels like we're rushing it, but I understand if we don't want to wait.

You can't ping via [[User talk: alone in wikitext, can you? I personally wouldn't expect this to ping.

Nope, it doesn't. If people seriously don't think it should be done, we could remove that quickly.

Probably stupid question, but linking to subpages doesn't ping, right? E.g. [[User:MusikAnimal/responseHelper]]. If it does, we will need time to update a number of scripts.

No, it doesn't

Overall I think it'd be better to give a heads up and allow people time to update things, because it feels like we're rushing it, but I understand if we don't want to wait.

How much outreach did we have on that already?

No strong opinions on getting rid of pings via [[User talk:...]]. I'd favor being consistent with how pings work in usual wikitext though.

JJMC89 added a subscriber: JJMC89.Mar 8 2018, 10:31 PM

You can't ping via [[User talk: alone in wikitext, can you? I personally wouldn't expect this to ping.

Nope, it doesn't. If people seriously don't think it should be done, we could remove that quickly.

Pinging in an edit summary should be consistent with pinging in wikitext - user, not user talk.

You can't ping via [[User talk: alone in wikitext, can you? I personally wouldn't expect this to ping.

Nope, it doesn't. If people seriously don't think it should be done, we could remove that quickly.

My !vote is no. To me the behaviour should match that of how pings work in wikitext (minus the need for a signature, obviously).

How much outreach did we have on that already?

TechNews is the only thing I'm aware of. That was posted at WP:VPT, but it wasn't quite clear that some user scripts and gadgets may need updating if they don't want them to ping.

Okay, let's remove it.

Do logged actions that become revisions trigger pings? E.g.

18:28, 6 March 2018‎ Ramasilevu (talk | contribs | block)‎ m . . (7,695 bytes) (0)‎ . . (Ramasilevu moved page [[User:Ramasilevu]] to [[Navatu - Cakaudrove]]) (undo | thank) (Tag: a new user moving a page out of the userspace)

I tested userpage moves and log summaries on beta wiki.

My test account User:TBolliger moved User:Bananas (another test account). User:Bananas did not get a ping when the page was moved, or when his username was linked in a different move reason — https://en.wikipedia.beta.wmflabs.org/wiki/Special:Log

They do if they generate page revisions. In this particular case, the user won't get pinged because they did it themselves.

Thanks! That's matching other Notifications descriptions and, cherry on the cake, you have an image. :)

How much outreach did we have on that already?

TechNews is the only thing I'm aware of. That was posted at WP:VPT, but it wasn't quite clear that some user scripts and gadgets may need updating if they don't want them to ping.

Tech News is the best place. You can make a new entry after the release, saying that it is now live and documented. FYI, I've filled that task because someone asked me about that new feature he heard about in Tech News, looking for more details.

You can also post on your local VPs if you're active on a wiki. Be aware that you may get come feedback. You should then indicate a central common page where people should post their messages.

MaxSem closed this task as Resolved.Mar 12 2018, 6:48 PM
MaxSem moved this task from Needs Review/Feedback to Done on the Community-Tech-Sprint board.
This comment was removed by Framawiki.